
#include <TROOT.h>
#include <TApplication.h>
#include <TGClient.h>
#include <TObject.h>
#include <TQObject.h>
#include <TGMenu.h>
#include <TGMdiMenu.h>
#include <TGFrame.h>
#include <TGMdiFrame.h>
#include <TGMdiMainFrame.h>
#include <TGStatusBar.h>
#include <TGListTree.h>
#include <TGStatusBar.h>
#include <TObjString.h>
#include <THashList.h>	
#include <TGSplitter.h>
#include <TGTab.h>

#include <TZGlobal.h>

#ifndef TZ_TZMdiFrame
#define TZ_TZMdiFrame



class TZMdiFrame : TGMdiFrame{
	private:
   TGStatusBar *fStatusBar;
   TGPopupMenu *fMenuEdit;
   TGListTree * FillTree(TGCanvas *fGCanvas);
   void HandleTreeDoubleClicked(TGListTreeItem* entry, Int_t btn, Int_t x, Int_t y);
   void HandleTreeClicked(TGListTreeItem* entry, Int_t btn, Int_t x, Int_t y);
   void CreateMenuEdit();
   public: 
    TZMdiFrame (TGMdiMainFrame *mainFrame, const char* name, TGStatusBar *statusBar);  
    virtual ~TZMdiFrame();

ClassDef(TZMdiFrame, 0)
};   //end of class TZMdiFrame


#endif

